<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\DozentenInfo\UpdateDozent;

class UpdateDozentUseCase extends \Kufer\Web\KuferTools\Basis\DozentenInfo\UpdateDozent\UpdateDozentUseCase
{
  public static function getToolId()
  {
    return 55;
  }

  public static function getToolSectionId()
  {
    return 653;
  }

  public function hasAccess($pToolSectionId = null)
  {
    
    
    if (!parent::hasAccess(654)) {
      return false;
    }
    if (!$this->isRechtAllowed('654.0.1')) { 
      return false;
    }

    return true;
  }

  protected function getDozentenHelper()
  {
    return \Kufer\KuferTools\Utils\DatamodulHelper\DozentenHelper\DozentenHelper::createVeranstalterDozentenUebersicht($this->toolSettings, $this->getUser());
  }
}